# OpenLayers.Control.Pan

The Pan control is a single button to pan the map in one direction. For a more complete control see OpenLayers.Control.PanPanel.

#### Inherits from

- OpenLayers.Control

Summary

OpenLayers.Control.Pan | The Pan control is a single button to pan the map in one direction.
Properties |
slideFactor | {Integer} Number of pixels by which we’ll pan the map in any direction on clicking the arrow buttons, defaults to 50.
slideRatio | {Number} The fraction of map width/height by which we’ll pan the map on clicking the arrow buttons.
direction | {String} in {‘North’, ‘South’, ‘East’, ‘West’}
Constructor |
OpenLayers.Control.Pan | Control which handles the panning (in any of the cardinal directions) of the map by a set px distance.
Functions |
trigger |

### Properties

### slideFactor

{Integer} Number of pixels by which we’ll pan the map in any direction on clicking the arrow buttons, defaults to 50. If you want to pan by some ratio of the map dimensions, use slideRatio instead.

### slideRatio

{Number} The fraction of map width/height by which we’ll pan the map on clicking the arrow buttons. Default is null. If set, will override slideFactor. E.g. if slideRatio is .5, then Pan Up will pan up half the map height.

### direction

{String} in {‘North’, ‘South’, ‘East’, ‘West’}

### Constructor

### OpenLayers.Control.Pan

Control which handles the panning (in any of the cardinal directions) of the map by a set px distance.

#### Parameters

direction | {String} The direction this button should pan.
options | {Object} An optional object whose properties will be used to extend the control.

### Functions

### trigger

> trigger: function()

> trigger: function()

The PanPanel is visible control for panning the map North, South, East or West in small steps.
Controls affect the display or behavior of the map.
{Number} The fraction of map width/height by which we’ll pan the map on clicking the arrow buttons.
{Integer} Number of pixels by which we’ll pan the map in any direction on clicking the arrow buttons, defaults to 50.
Close